<% if tracks.type == 'event' %>
  <section class="slp-commit-grid slp-relative slp-mb-64 md:slp-mb-160">
<% else %>
  <section class="slp-commit-grid slp-relative slp-pt-48 slp-mt-48 md:slp-mb-160">
<% end %>    
  <div class="slp-col-span-full slp-mb-32">
    <% if tracks.type == 'event' %>
      <div class="slp-col-span-full slp-relative">
        <div class="slp-max-w-prose">
          <%= partial "includes/cms/event/slp-heading", locals: { heading: tracks.heading, icon: "/icons/slp-tracks.svg" }  %>
        </div>
      </div>
      <p
           class="slp-font-normal slp-text-grayscale-333 slp-text-lg slp-leading-tight slp-max-w-3xl"
           >
        <%= tracks.body %>
      </p>
    <% else %>
      <div class="slp-relative slp-text-center slp-max-w-7xl slp-mb-16 slp-mx-auto">
        <h3
          class="slp-font-normal slp-text-grayscale-333 slp-text-3xl md:slp-text-4xl slp-leading-tight slp-mb-16 slp-col-span-full"
        >
          <%= tracks.heading %>
        </h3>
        <p
          class="slp-font-normal slp-text-grayscale-333 slp-text-xl slp-mb-16 slp-leading-tight"
        >
          <%= tracks.subtitle %>
        </p>
        <% if tracks.body_copy %>
          <div
            class="slp-prose slp-font-normal slp-text-grayscale-333 slp-text-xl slp-mb-16 slp-leading-tight"
          >
              <%= kramdown(tracks.body_copy) %>
          </div>
        <% end %>
      </div>
    <% end %>
  </div>
  <% tracks.card.each do |track| %>
    <% if tracks.type == 'event' %>
      <div
        class="slp-col-span-full md:slp-col-span-5 slp-border slp-border-grayscale-highlight slp-rounded-md slp-p-32 slp-shadow-lg slp-mb-32 slp-relative"
        >
    <% else %>
      <div
        class="slp-col-span-full md:slp-col-span-6 slp-border slp-border-grayscale-highlight slp-rounded-md slp-p-32 slp-shadow-lg slp-mb-32 slp-relative"
        >
    <% end %>
      <h3
         class="slp-font-normal slp-text-grayscale-333 slp-text-lg slp-leading-tight slp-mb-16"
         >
        <%= track.heading %>
      </h3>
      <div class="slp-prose slp-max-w-none slp-text-grayscale-333 slp-text-base slp-leading-normal slp-mb-32">
        <%= kramdown(track.body) %>
      </div>
      <!-- display arrow link if href exists -->
      <% if track.href %>
        <a href="<%= track.href %>" class="slp-mt-auto slp-font-bold slp-text-sm slp-leading-6 hover:slp-underline group-hover:slp-text-ui-secondary slp-text-ui-secondary-dark">
          <%= track.cta %>
          <svg width="9" height="6" xmlns="http://www.w3.org/2000/svg" class="slp-inline-block"><path d="M6.685.683L9 3 6.685 5.317a.624.624 0 11-.883-.884l.808-.808H.624a.625.625 0 010-1.25H6.61l-.808-.808a.625.625 0 01.883-.884z" fill="none" class="slp-fill-current group-hover:slp-text-ui-secondary group-focus:slp-text-ui-secondary"></path></svg>
        </a>
      <% end %>
      <!-- if event template, using inline_svg extension and defining background color -->
      <% if track.icon %>
        <div
         class="slp-rounded-full slp-p-8 slp-absolute slp-top-0 slp-left-0 slp-transform slp-translate-x-32 slp--translate-y-1/2 <%= track.icon_color %>"
         >
          <%= inline_svg "#{track.icon}", class: "" %>
        </div>
      <!-- else just pull the full icon as an image -->  
      <% elsif track.icon_full %>
        <img
          alt="<%= track.icon_full %>"
          src="<%= track.icon_full %>"
          class="slp-rounded-full slp-p-8 slp-absolute slp-top-0 slp-left-0 slp-transform slp-translate-x-32 slp--translate-y-1/2"
        />
      <!-- full back if not icon is declared -->
      <% else %>
        <div
         class="slp-rounded-full slp-p-8 slp-absolute slp-top-0 slp-left-0 slp-transform slp-translate-x-32 slp--translate-y-1/2 slp-bg-ui-tertiary-dark"
         >
          <%= inline_svg "/icons/slp-bulb.svg", class: "" %>
        </div>
      <% end %>
    </div>
  <% end %>
</section>
